org.richfaces.ui.model

## Class StateImpl

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<java.lang.String,java.lang.Object>
    - - org.richfaces.ui.model.StateImpl

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.Object>, State

      public class StateImpl
      extends java.util.HashMap<java.lang.String,java.lang.Object>
      implements State

  Author:
    asmirnov
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StateImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getNavigation(java.lang.String outcome)`
    `void` | `setNavigation(java.lang.String outcome, java.lang.String navigation)`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

- - ### Constructor Detail

    - #### StateImpl

          public StateImpl()

  - ### Method Detail

    - #### getNavigation

          public java.lang.String getNavigation(java.lang.String outcome)

      Specified by:
        `getNavigation` in interface `State`

    - #### setNavigation

          public void setNavigation(java.lang.String outcome,
                           java.lang.String navigation)

      Specified by:
        `setNavigation` in interface `State`

Copyright © 2014. All Rights Reserved.